Subject: bug#27986: 26.0.50; 'rename-file' can rename files without

From: John Wiegley <[email-masked]>
Date: Fri, 25 Aug 2017 13:33:46 -0700

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

EZ> Thanks. I do indeed think that making this an error even if B is an empty
EZ> directory would be better, as it will reveal the cases that need to be
EZ> fixed more prominently.

I prefer that to renaming a directory when the target is a directory.  That's
not how /bin/mv behaves, so I'd be surprised if (rename-file) did differently.
Making the Emacs version more restrictive, however, makes sense.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2